Bug 1064742 - QMP: "query-version" doesn't include the -rhev prefix from the qemu-kvm-rhev package
Summary: QMP: "query-version" doesn't include the -rhev prefix from the qemu-kvm-rhev ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1074396
TreeView+ depends on / blocked
 
Reported: 2014-02-13 08:43 UTC by Jun Li
Modified: 2015-03-05 09:44 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.0-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1074396 (view as bug list)
Environment:
Last Closed: 2015-03-05 09:44:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description Jun Li 2014-02-13 08:43:47 UTC
Description of problem:
qmp command "query-version" can not return correct qemu-kvm version.

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-1.5.3-47.el7.x86_64
3.10.0-86.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.boot qemu-kvm with the following cli:
# /usr/libexec/qemu-kvm -monitor stdio -qmp tcp::6666,server,nowait
2.query version of qemu-kvm via qmp cli:
{"execute": "query-version"}


Actual results:
{"return": {"qemu": {"micro": 3, "minor": 5, "major": 1}, "package": " (qemu-kvm-1.5.3-47.el7)"}}

Expected results:
{"return": {"qemu": {"micro": 3, "minor": 5, "major": 1}, "package": " (qemu-kvm-rhev-1.5.3-47.el7)"}}

Additional info:
As qemu-kvm-1.5.3-47.el7 is different to qemu-kvm-rhev-1.5.3-47.el7, so using command "query-version" should give the different of these two.

Comment 3 Miroslav Rezanina 2014-08-28 06:57:49 UTC
Fix included in qemu-kvm-rhev-2.1.0-3.el7

Comment 4 langfang 2014-09-01 02:01:46 UTC
Reproduce this bug as follow version:
Host:
# uname -r
3.10.0-144.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-1.5.3-30.el7.x86_64

Steps:
1.Boot guest 

# /usr/libexec/qemu-kvm -monitor stdio -qmp tcp::6666,server,nowait

2.#telnet 10.66.7.55 6666

Results:
$ telnet 10.66.7.55 6666
Trying 10.66.7.55...
Connected to 10.66.7.55.
Escape character is '^]'.
{"QMP": {"version": {"qemu": {"micro": 3, "minor": 5, "major": 1}, "package": " (qemu-kvm-1.5.3-30.el7)"}, "capabilities": []}}
{"execute":"qmp_capabilities"}
{"return": {}}
{"execute": "query-version"}
{"return": {"qemu": {"micro": 3, "minor": 5, "major": 1}, "package": " (qemu-kvm-1.5.3-30.el7)"}}


Verify this bug as follow version:
Host
# uname -r
3.10.0-144.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.0-3.el7.x86_64

Steps as same as reproduce

Result:
...
{"execute": "query-version"}
{"return": {"qemu": {"micro": 0, "minor": 1, "major": 2}, "package": " (qemu-kvm-rhev-2.1.0-3.el7)"}}


According to above test ,this bug has been fixed.

Comment 8 errata-xmlrpc 2015-03-05 09:44:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.